org.crosswire.jsword.book.filter.thml

## Class AbstractTag

- java.lang.Object
- - org.crosswire.jsword.book.filter.thml.AbstractTag

- All Implemented Interfaces:
    Tag
  Direct Known Subclasses:
    AbbrTag, AliasTag, AnonymousTag, ATag, BigTag, BlockquoteTag, BrTag, BTag, CenterTag, CitationTag, DivTag, FontTag, ForeignTag, HrTag, HTag, ImgTag, ITag, LiTag, LTag, NameTag, NoteTag, OlTag, PbTag, PTag, QTag, RootTag, ScripRefTag, ScriptureTag, SmallTag, STag, SubTag, SupTag, SyncTag, TableTag, TdTag, TermTag, ThTag, TrTag, TtTag, UlTag, UTag, VerseTag

      public abstract class AbstractTag
      extends Object
      implements Tag

  The AbstractTag ignores the tag.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processContent(Book book, Key key, org.jdom2.Element ele)` Do additional processing of the tag after the element has been created.
    `org.jdom2.Element` | `processTag(Book book, Key key, org.jdom2.Element ele, Attributes attrs)` Make changes to the specified OSIS element given the attributes passed in the source document.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.crosswire.jsword.book.filter.thml.Tag

      `getTagName`

- - ### Constructor Detail

    - #### AbstractTag

          public AbstractTag()

  - ### Method Detail

    - #### processTag

          public org.jdom2.Element processTag(Book book,
                                     Key key,
                                     org.jdom2.Element ele,
                                     Attributes attrs)

      Description copied from interface: `Tag`
      Make changes to the specified OSIS element given the attributes passed in the source document.
      Specified by:
        `processTag` in interface `Tag`
      Parameters:
        `book` - the book
        `key` - the key
        `ele` - The OSIS element to use as a parent
        `attrs` - The source document attributes.
      Returns:
        the element to which content is attached

    - #### processContent

          public void processContent(Book book,
                            Key key,
                            org.jdom2.Element ele)

      Description copied from interface: `Tag`
      Do additional processing of the tag after the element has been created.
      Specified by:
        `processContent` in interface `Tag`
      Parameters:
        `book` - the book
        `key` - the key
        `ele` - the created element to process